/*  Copyright 2008 Theo Berkau

    This file is part of Yabause.

    Yabause is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Yabause is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Yabause; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SNDWII_H
#define SNDWII_H

#define SNDCORE_WII 2
#define NUMSOUNDBLOCKS  4
#define SOUNDLEN (44100 / 50)
#define SOUNDTRUELEN (48000 / 50)
#define SOUNDBUFSIZE (SOUNDTRUELEN * NUMSOUNDBLOCKS * 2 * 2)

//////////////////////////////////////////////////////////////////////////////

extern SoundInterface_struct SNDWII;

//////////////////////////////////////////////////////////////////////////////

void StartDMA(void);
void SNDWiiDeInit();
void ScspConvert32utoWiiAudio(s32 *srcL, s32 *srcR, s16 *dst, u32 len);
void SNDWiiUpdateAudio(u32 *leftchanbuffer, u32 *rightchanbuffer, u32 num_samples);
void SNDWiiMuteAudio();
void SNDWiiUnMuteAudio();
void SNDWiiSetVolume(int volume);
u32 SNDWiiGetAudioSpace();
int SNDWiiInit();
int SNDWiiReset();
int SNDWiiChangeVideoFormat(int vertfreq);


#endif
